# Code Clash 2019
# Problem 9: Bacteria
# https://www.codeclash.org

testCases, months = map(int, input().split())

for testCase in range(testCases):
    starting_population, reproduction_rate, lifespan = map(int, input().split())

    # A class which represents a batch of bacteria which are all the same age
    class BacteriaBatch:

        def __init__(self, size):
            self.size = size
            self.age = 0

    # An array containing the living batches of bacteria
    batches = []

    # Add the starting population to the batches
    batches.append(BacteriaBatch(starting_population))

    # Simulate the months
    for month in range(months):

        # An array to store newborn bacteria
        new_batches = []

        # An array to store dead bacteria
        dead_batches = []

        # Update each batch
        for i in range(len(batches)):

            # Age 1 month
            batches[i].age += 1

            if (batches[i].age == lifespan): # Check if the bacteria is at the end of its lifespan
                # Die
                dead_batches.append(batches[i])
            elif (batches[i].age % reproduction_rate == 0): # Check if the bacteria can reproduce
                # Reproduce
                new_batches.append(BacteriaBatch(batches[i].size))

        # Remove the dead batches
        for batch in dead_batches:
            batches.remove(batch)

        # Count the new bacteria being added
        total_new_bacteria = 0
        for batch in new_batches:
            total_new_bacteria += batch.size

        # Add the new batch of bacteria if it exists
        if (total_new_bacteria != 0):
            batches.append(BacteriaBatch(total_new_bacteria))

    # Count the number of living bacteria
    alive = 0
    for batch in batches:
        alive += batch.size

    print(alive)
